Package org.apache.qpid.proton.codec

# Class DoubleType

java.lang.Object
org.apache.qpid.proton.codec.DoubleType

All Implemented Interfaces:
  `AMQPType<Double>`, `PrimitiveType<Double>`

public class DoubleType extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`DoubleType.DoubleEncoding`

## Method Summary

Modifier and Type
Method
Description
`Collection<DoubleType.DoubleEncoding>`
`getAllEncodings()`
`DoubleType.DoubleEncoding`
`getCanonicalEncoding()`
`DoubleType.DoubleEncoding`
`getEncoding(Double val)`
`Class<Double>`
`getTypeClass()`
`void`
`write(double d)`
`final void`
`write(Double val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<Double> getTypeClass()

### getEncoding

public DoubleType.DoubleEncoding getEncoding(Double val)

### getCanonicalEncoding

public DoubleType.DoubleEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<DoubleType.DoubleEncoding> getAllEncodings()

### write

public void write(double d)

### write

public final void write(Double val)

Specified by:
  `write` in interface `AMQPType<T>`